%define python3_pkgversion 3.11
%{?scl:%scl_package python-%{pypi_name}}
%{!?scl:%global pkg_name %{name}}

# Created by pyp2rpm-3.3.3
%global pypi_name social-auth-core

Name:           %{?scl_prefix}python-%{pypi_name}
Version:        4.5.4
Release:        1.0.1%{?dist}
Summary:        Python social authentication made simple

License:        BSD
URL:            https://github.com/python-social-auth/social-core
Source0:        https://files.pythonhosted.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Source1:        THIRD_PARTY_LICENSES.txt
BuildArch:      noarch

BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-devel
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-setuptools
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-six >= 1.10.0
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-rpm-macros


%description
%{summary}


%package -n     %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}
Requires:       %{?scl_prefix}python%{python3_pkgversion}-pyjwt >= 1.4.0
Requires:       %{?scl_prefix}python%{python3_pkgversion}-cryptography >= 1.4
Requires:       %{?scl_prefix}python%{python3_pkgversion}-defusedxml >= 0.5.0rc1
Requires:       %{?scl_prefix}python%{python3_pkgversion}-oauthlib >= 1.0.3
Requires:       %{?scl_prefix}python%{python3_pkgversion}-python3-openid >= 3.0.10
Requires:       %{?scl_prefix}python%{python3_pkgversion}-requests >= 2.9.1
Requires:       %{?scl_prefix}python%{python3_pkgversion}-requests-oauthlib >= 0.6.1
Requires:       %{?scl_prefix}python%{python3_pkgversion}-six >= 1.10.0


%description -n %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
%{summary}


%prep
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
%{?scl:EOF}

# Add 3rd party license
%{__cp} %{SOURCE1} .


%build
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_build
%{?scl:EOF}


%install
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_install
%{?scl:EOF}


%files -n %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
%license LICENSE THIRD_PARTY_LICENSES.txt
%doc README.md
%{python3_sitelib}/social_core
%{python3_sitelib}/social_auth_core-%{version}-py%{python3_version}.egg-info


%changelog
* Fri Jul 19 2024 Craig Guiller <craig.guiller@oracle.com> - 4.5.4.1.0.1
- Update to 4.5.4
- Rebuild for python 3.11

* Thu Jun 15 2023 Lans Hung <lans.hung@oracle.com> - 3.4.0-1.0.2
- Add 3rd party licenses

* Thu Jan 26 2023 Stoil Barzakov <stoil.barzakov@oracle.com> - 3.4.0-1.0.1
- Rebuild for Python 3.9 [JIRA: OLAM-27]

* Mon Sep 13 2021 Evgeni Golov - 3.4.0-1
- Initial package.
